Subject: Re: B19 stat() under Win95 yields funky values for files on network drives
From: [email-masked] (Dan Olson)

8 Nov 1998 04:59:16 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

>>>> From Dan Olson <[email-masked]>, Monday, November 02, 1998 9:35 PM
>Anybody ran into this?  I'm finding that stat() in B19 returns weird values
>when it gets info about files on network drives.  The numbers in struct
stat
>look kinda like garbage (i.e. I haven't figured out a pattern).  I'm only
>working on Win95 machines so don't know if this occurs on NT.

Some more info on this problem.  stat() is definitely only doing wierd stuff
when the mapped drive is shared from another Win95 machine; NT shares work
fine.

Examples of what I am seeing (cwd is a drive shared from another Win95
machine):

# Start with a test file
bash$ echo '0123456789' >foo.txt
bash$ cat foo.txt
0123456789

# Opps, 'ls' thinks foo.txt it pretty BIG!
bash$ ls -l foo.txt
-rw-r--r--   1 500      everyone 3236949872 Nov  4 17:32 foo.txt

# And 'du' thinks its pretty tiny...
bash$ du foo.txt
-516609 foo.txt

For comparison, using DIR in command.com gives the right size:

K:\>dir foo.txt

Volume in drive K is OLE
Directory of K:\

FOO      TXT            12  11-04-98  5:32p foo.txt
         1 file(s)             12 bytes
         0 dir(s)     259,358,720 bytes free

Any ideas?
--
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".